atom 代码检查插件 linter

linter 是一个系列的插件,它可以识别大部分语法,并对你的语法错误进行纠正。linter 只是一个框架,如果要找针对你使用语言的语法纠错插件必须要安装针对你语言的版本,但是 linter 也不能卸载,它是一切的基础。下面是其纠正 js 代码的错误截图。

屏幕快照 2015-11-21 下午5.01.36

linter — 可安装的针对不同语言的包如下

  • linter-jshint, for JavaScript and JSON, using jshint
  • linter-coffeelint, for CoffeeScript, using coffeelint
  • linter-tslint, for Typescript, using tslint
  • linter-php, for PHP using php -l
  • linter-pylint, for Python, using pylint
  • linter-scss-lint, for SASS/SCSS, using scss-lint
  • linter-less, for LESS, using less
  • linter-csslint, for CSS, using csslint
  • linter-stylint, for Stylus, using stylint
  • linter-stylus, for Stylus, using stylus

评论